Subject: bug#21370: 24.5; eww does not work (on debian 8)

From: [email-masked] (H. Dieter Wilhelm)
Date: Fri, 28 Aug 2015 23:11:17 +0200

Glenn Morris <[email-masked]> writes:

> H. Dieter Wilhelm wrote:
>
>> url-cookie-generate-header-lines: Wrong type argument: listp, \.\.\.
>
> My crystal ball says that you have cached url data in a file (eg
> url-cookie-file) and it has somehow ended up with abbreviated "..."
> printed output. So probably you should find and delete it.
>

Thanks a lot Glenn!

I didn't know about the url-cookie-file mechanism.  I deleted the file
(you can see the offending ... characters below) and eww works again for
me.

I asked this question in StackExchange as well, may I answer my own
question in your name?

http://emacs.stackexchange.com/questions/15020/eww-error-in-process-sentinel-url-cookie-generate-header-lines-wrong-type-arg

         Dieter

----------------------------------------------------------------------

;; Emacs-W3 HTTP cookies file
;; Automatically generated file!!! DO NOT EDIT!!!

(setq url-cookie-storage

  < here clipped >

  [url-cookie "h4" "1|ck=1" "Tue, 21 Jul 2015 21:34:49 +0100" "/" ".bbc.co.uk" nil])
 ...)
)
(setq url-cookie-secure-storage
 '((".github.com"
  [url-cookie "logged_in" "no" "19-Nov-2034 06:40:02.00 GMT" "/" ".github.com" t]
  [url-cookie "HttpOnly" nil "19-Nov-2034 06:40:02.00 GMT" "/" ".github.com" t]))
)

;; Local Variables:
;; version-control: never
;; no-byte-compile: t
;; End:

-- 
Best wishes
H. Dieter Wilhelm
Darmstadt, Germany